From nobody@FreeBSD.org  Mon Aug 31 09:12:05 2009
Return-Path: <nobody@FreeBSD.org>
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2001:4f8:fff6::34])
	by hub.freebsd.org (Postfix) with ESMTP id F0D34106568B
	for <freebsd-gnats-submit@FreeBSD.org>; Mon, 31 Aug 2009 09:12:05 +0000 (UTC)
	(envelope-from nobody@FreeBSD.org)
Received: from www.freebsd.org (www.freebsd.org [IPv6:2001:4f8:fff6::21])
	by mx1.freebsd.org (Postfix) with ESMTP id E014C8FC13
	for <freebsd-gnats-submit@FreeBSD.org>; Mon, 31 Aug 2009 09:12:05 +0000 (UTC)
Received: from www.freebsd.org (localhost [127.0.0.1])
	by www.freebsd.org (8.14.3/8.14.3) with ESMTP id n7V9C4Nu002230
	for <freebsd-gnats-submit@FreeBSD.org>; Mon, 31 Aug 2009 09:12:04 GMT
	(envelope-from nobody@www.freebsd.org)
Received: (from nobody@localhost)
	by www.freebsd.org (8.14.3/8.14.3/Submit) id n7V9C41F002229;
	Mon, 31 Aug 2009 09:12:04 GMT
	(envelope-from nobody)
Message-Id: <200908310912.n7V9C41F002229@www.freebsd.org>
Date: Mon, 31 Aug 2009 09:12:04 GMT
From: Helmut Schneider <jumper99@gmx.de>
To: freebsd-gnats-submit@FreeBSD.org
Subject: www/apache22 accf_data required at apache startup
X-Send-Pr-Version: www-3.1
X-GNATS-Notify:

>Number:         138373
>Category:       ports
>Synopsis:       www/apache22 accf_data required at apache startup
>Confidential:   no
>Severity:       serious
>Priority:       low
>Responsible:    pgollucci
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Mon Aug 31 09:20:02 UTC 2009
>Closed-Date:    Fri Dec 11 23:37:12 UTC 2009
>Last-Modified:  Fri Dec 11 23:40:06 UTC 2009
>Originator:     Helmut Schneider
>Release:        7.2-RELEASE
>Organization:
>Environment:
>Description:
Since the upgrade from 2.2.11 to 2.2.13 there is a warning when starting apache:

[Mon Aug 31 11:09:04 2009] [warn] (2)No such file or directory: Failed to enable the 'dataready' Accept Filter
>How-To-Repeat:

>Fix:
--- apache22    2009-08-31 00:05:15.000000000 +0200
+++ /usr/local/etc/rc.d/apache22        2009-08-31 10:58:58.000000000 +0200
@@ -49,21 +49,14 @@
 [ -z "$apache22_fib" ] && apache22_fib="NO"

 apache22_accf() {
-       retcode=0
        if checkyesno apache22_http_accept_enable
        then
-               /sbin/kldstat -v | grep accf_http >/dev/null 2>&1
-               retcode=${?}
-               if [ ${retcode} -ne 0 ]
-               then
-                       /sbin/kldload accf_http 2> /dev/null
-                       retcode=${?}
-               fi
+               /sbin/kldstat -v | grep accf_http > /dev/null 2>&1 || /sbin/kldload accf_http || return ${?}
+               /sbin/kldstat -v | grep accf_data > /dev/null 2>&1 || /sbin/kldload accf_data || return ${?}
        else
                apache22_flags="${apache22_flags} -DNOHTTPACCEPT"
        fi
-       [ ${retcode} -ne 0 ] && echo "Unable to load accf_http module"
-       return ${retcode}
+       return 0
 }

 load_rc_config $name


>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->apache 
Responsible-Changed-By: edwin 
Responsible-Changed-When: Mon Aug 31 09:20:13 UTC 2009 
Responsible-Changed-Why:  
Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=138373 
Responsible-Changed-From-To: apache->pgollucci 
Responsible-Changed-By: pgollucci 
Responsible-Changed-When: Thu Dec 10 10:35:51 UTC 2009 
Responsible-Changed-Why:  
I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=138373 

From: Miroslav Lachman <000.fbsd@quip.cz>
To: bug-followup@FreeBSD.org, jumper99@gmx.de
Cc:  
Subject: Re: ports/138373: www/apache22 accf_data required at apache startup
Date: Thu, 10 Dec 2009 12:16:18 +0100

 Isn't it better to use 'required_modules' provided by rc.subr instead of 
 custom checks?
State-Changed-From-To: open->analyzed 
State-Changed-By: pgollucci 
State-Changed-When: Fri Dec 11 23:09:22 UTC 2009 
State-Changed-Why:  
normally yes, but it runs at the wrong time and we can't handle the RC 
value to add -DNOHTTPACCEPT 

http://www.freebsd.org/cgi/query-pr.cgi?pr=138373 
State-Changed-From-To: analyzed->closed 
State-Changed-By: pgollucci 
State-Changed-When: Fri Dec 11 23:37:11 UTC 2009 
State-Changed-Why:  
Committed, with minor changes. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=138373 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/138373: commit references a PR
Date: Fri, 11 Dec 2009 23:37:16 +0000 (UTC)

 pgollucci    2009-12-11 23:37:04 UTC
 
   FreeBSD ports repository
 
   Modified files:
     www/apache22         Makefile 
     www/apache22/files   apache22.in 
   Log:
   - Fix handling of apache22_http_accept_enable="YES|NO"
     o Note, don't use required_modules you can not check the return value
       to conditionalize the -DNOHTTPACCEPT flag
   
   PR:             ports/138373
   Submitted by:   Helmut Schneider <jumper99@gmx.de>
   
   Revision  Changes    Path
   1.247     +1 -1      ports/www/apache22/Makefile
   1.5       +9 -17     ports/www/apache22/files/apache22.in
 _______________________________________________
 cvs-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/cvs-all
 To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
 
>Unformatted:
